%define upstream_name anyqt

Name:           python-%{upstream_name}
Version:        0.0.10
Release:        %mkrel 4
Summary:        PyQt4/PyQt5 compatibility layer
Group:          Development/Python
License:        GPLv3
URL:            https://github.com/ales-erjavec/anyqt
Source0:        https://files.pythonhosted.org/packages/85/2a/1f8404717ab512005e7ed56dea925526f43c9ffb3932330049c637f460bc/AnyQt-%{version}.tar.gz
BuildArch:      noarch

%description
PyQt/PySide compatibility layer.

%package -n     python3-%{upstream_name}
Summary:        Fast NumPy array functions written in C
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildArch:      noarch

%description -n python3-%{upstream_name}
PyQt/PySide compatibility layer.

%prep
%setup -q -n AnyQt-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%{python3_sitelib}/AnyQt
%{python3_sitelib}/AnyQt-%{version}-*.egg-info


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 0.0.10-4.mga8
+ Revision: 1608253
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 0.0.10-3.mga8
+ Revision: 1533677
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 tv <tv> 0.0.10-2.mga8
+ Revision: 1444890
- rebuild for python-3.8
- drop python2 subpkg

* Sun Mar 24 2019 guillomovitch <guillomovitch> 0.0.10-1.mga7
+ Revision: 1380007
- imported package python-anyqt

